package com.brilliance.isc.common.wfmmod.service;

import com.brilliance.isc.bo.Wfe;
import com.brilliance.isc.common.wfmmod.vo.WfmmodVo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public interface WfmmodService {

    /**
     * @param wfmmodVo
     * @param pdd
     * @param pdd1
     * @param exedat
     * @param valueOf
     */
    void wfeAdd(String pdd, String pdd1, Date exedat, BigDecimal valueOf);

    void wfeAddWithVar(String  insub , String  insrv , Date tarday , BigDecimal tartim , String interfacetxt );

    void wfeAddYTZ(String pdd, String pdd1, Date exedat, BigDecimal valueOf);

    void wfeAddWithVarYPT(String insub,String insrv,Date tarday,BigDecimal tartim,String interfacetxt);

    void create(WfmmodVo wfmmodVo, String argtyp, String arginr, String argnam);

    boolean existCreFin(List<Wfe> wfeg);

    void wfeRemove(String insub, WfmmodVo wfmmod);

    int getIdx(WfmmodVo wfmmodVo, String insub);

    String staCalcEntry(WfmmodVo wfmmodVo, String argSRV);

    String getPreLst(WfmmodVo wfmmodVo, String argSRV);

}
